//
//  ViewController.m
//  FollowMeLearningPickerView
//
//  Created by LBS_ios1 on 2017/12/19.
//  Copyright © 2017年 http://www.jianshu.com/u/8acc5c21e350. All rights reserved.
//

#import "ViewController.h"
#import "SinglePickerView.h"
#import "MorePickerView.h"
#import "Header.h"
@interface ViewController ()
@property(nonatomic,strong)UIButton *pickerViewButton;
@property(nonatomic,strong)UIButton *morePickerViewButton;
@property(nonatomic,strong)MorePickerView *MoewPickerViews;

@property(nonatomic,strong)SinglePickerView *pickerViews;
@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    self.view.backgroundColor=[UIColor whiteColor];

    [self.view addSubview:self.morePickerViewButton];
    [self.view addSubview:self.pickerViewButton];

}

#pragma mark  ===
-(SinglePickerView *)pickerViews
{
    if (!_pickerViews) {
        _pickerViews=[[SinglePickerView alloc]init];
        _pickerViews.backgroundColor=[[UIColor blackColor]colorWithAlphaComponent:0.3];
        _pickerViews.frame=self.view.bounds;

    }
    return _pickerViews;
}

#pragma mark  ===
-(MorePickerView *)MoewPickerViews
{
    if (!_MoewPickerViews) {
        _MoewPickerViews=[[MorePickerView alloc]init];
        _MoewPickerViews.backgroundColor=[[UIColor blackColor]colorWithAlphaComponent:0.3];
        _MoewPickerViews.frame=self.view.bounds;
        
    }
    return _MoewPickerViews;
}

#pragma mark  === morePickerViewButton 省份
-(UIButton *)morePickerViewButton
{
    if (!_morePickerViewButton) {
        _morePickerViewButton=[UIButton buttonWithType:UIButtonTypeCustom];
        _morePickerViewButton.frame=CGRectMake(200, 180, 100, 40);
        [_morePickerViewButton setTitle:@"多个区" forState:UIControlStateNormal];
        _morePickerViewButton.backgroundColor=[UIColor redColor];
        [_morePickerViewButton setTitleColor:[UIColor blackColor] forState:UIControlStateNormal];
        _morePickerViewButton.tag=200;
        [_morePickerViewButton addTarget:self action:@selector(onPickerViewButtonButtonClick:) forControlEvents:UIControlEventTouchUpInside];
        
        
    }
    return _morePickerViewButton;
}


#pragma mark  === pickerViewButton 省份
-(UIButton *)pickerViewButton
{
    if (!_pickerViewButton) {
        _pickerViewButton=[UIButton buttonWithType:UIButtonTypeCustom];
        _pickerViewButton.frame=CGRectMake(10, 180, 100, 40);
        [_pickerViewButton setTitle:@"单个区" forState:UIControlStateNormal];
        _pickerViewButton.backgroundColor=[UIColor redColor];
        [_pickerViewButton setTitleColor:[UIColor blackColor] forState:UIControlStateNormal];
        _pickerViewButton.tag=100;
        [_pickerViewButton addTarget:self action:@selector(onPickerViewButtonButtonClick:) forControlEvents:UIControlEventTouchUpInside];
        
        
    }
    return _pickerViewButton;
}
-(void)onPickerViewButtonButtonClick:(UIButton *)sender
{
   
    if (sender.tag==100) {
        [self.view addSubview:self.pickerViews];

    }
    else
    {
        [self.view addSubview:self.MoewPickerViews];

    }
    
}
- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


@end
